%ifos darwin
%define __sbindir	%{_prefix}/sbin
%else
%define __sbindir	/sbin
%endif
Summary: A GNU tool which simplifies the build process for users.
Name: make
Version: 3.78.1
Release: 1a
Serial: 1
Copyright: GPL
Group: Development/Tools
Source: ftp://prep.ai.mit.edu:/pub/gnu/make-%{version}.tar.gz
Patch0: make-3.77-fixes.patch
Prereq: %{__sbindir}/install-info
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
# %patch0 -p1 -b .fixes

%build
%ifos darwin
cp /usr/share/libtool/{config.guess,config.sub} .
./configure
%else
%configure
%endif
make

%install
rm -f $RPM_BUILD_ROOT/%{_prefix}/info/make.info*

make prefix=$RPM_BUILD_ROOT/%{_prefix} install

( cd $RPM_BUILD_ROOT
  rm -fr ./%{_prefix}/info/dir
  gzip -9nf ./%{_prefix}/info/make.info*
  strip ./%{_prefix}/bin/make
  ln -sf make ./%{_prefix}/bin/gmake
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{__sbindir}/install-info /%{_prefix}/info/make.info.gz /%{_prefix}/info/dir --entry="* GNU make: (make).           The GNU make utility."

%preun
if [ $1 = 0 ]; then
   %{__sbindir}/install-info --delete /%{_prefix}/info/make.info.gz /%{_prefix}/info/dir --entry="* GNU make: (make).           The GNU make utility."
fi

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc NEWS README
/%{_prefix}/bin/make
/%{_prefix}/bin/gmake
/%{_prefix}/man/man1/make.1
/%{_prefix}/info/make.info*

%changelog
* Fri Apr 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

